Skip to Content
Organizations

Get organization (admin)

Toegang

Alleen Tillor-beheerders.

GET
/admin/organizations/{organizationId}

One organization with its members, database state and recent background runs. Super-admins only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string
Length1 <= length

Response Body

OK

application/json
  1. response
organization*
members*array<>
database*
runs*array<>
Example Request
curl -X GET 'https://api.tillor.eu/admin/organizations/'
Example Response
{  "organization": {    "id": "string",    "name": "string",    "legalName": "string",    "logo": "string",    "subdomain": "string",    "country": "string",    "locale": "string",    "maintenanceMode": true,    "dpaRequired": true,    "memberCount": -9007199254740991,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "currency": "string",    "vatNumber": "string",    "email": "string",    "phone": "string",    "website": "string",    "autoAssignToOrganization": true  },  "members": [    {      "membershipId": "string",      "userId": "string",      "name": "string",      "email": "string",      "image": "string",      "isOwner": true,      "permissionCount": -9007199254740991    }  ],  "database": {    "name": "string",    "exists": true,    "sizeBytes": 0,    "latestMigration": "string",    "latestMigrationAt": "2019-08-24T14:15:22Z"  },  "runs": [    {      "id": "string",      "taskIdentifier": "string",      "status": "string",      "createdAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z",      "url": "string"    }  ]}